summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorormorph <roma251078@mail.ru>2021-11-09 00:39:45 +0300
committerormorph <roma251078@mail.ru>2021-11-09 00:42:24 +0300
commit868d88ecfcb70f0e865715272371d5e3efe20771 (patch)
tree8075e78249b5f5efe73a790406fab2569cb110e9
parentf88c3a8a5ca42156c1f1df747d57556dff9daeda (diff)
downloadtde-packaging-gentoo-868d88ec.tar.gz
tde-packaging-gentoo-868d88ec.zip
Added tdeedu meta package
Signed-off-by: ormorph <roma251078@mail.ru>
-rw-r--r--trinity-base/blinken/blinken-9999.ebuild20
-rw-r--r--trinity-base/blinken/metadata.xml8
-rw-r--r--trinity-base/kalzium/kalzium-9999.ebuild38
-rw-r--r--trinity-base/kalzium/metadata.xml8
-rw-r--r--trinity-base/kanagram/kanagram-9999.ebuild20
-rw-r--r--trinity-base/kanagram/metadata.xml8
-rw-r--r--trinity-base/kbruch/kbruch-9999.ebuild20
-rw-r--r--trinity-base/kbruch/metadata.xml8
-rw-r--r--trinity-base/keduca/keduca-9999.ebuild20
-rw-r--r--trinity-base/keduca/metadata.xml8
-rw-r--r--trinity-base/kgeography/kgeography-9999.ebuild20
-rw-r--r--trinity-base/kgeography/metadata.xml8
-rw-r--r--trinity-base/khangman/khangman-9999.ebuild24
-rw-r--r--trinity-base/khangman/metadata.xml8
-rw-r--r--trinity-base/kig/kig-9999.ebuild22
-rw-r--r--trinity-base/kig/metadata.xml8
-rw-r--r--trinity-base/kiten/kiten-9999.ebuild19
-rw-r--r--trinity-base/kiten/metadata.xml8
-rw-r--r--trinity-base/klatin/klatin-9999.ebuild23
-rw-r--r--trinity-base/klatin/metadata.xml8
-rw-r--r--trinity-base/klettres/klettres-9999.ebuild19
-rw-r--r--trinity-base/klettres/metadata.xml8
-rw-r--r--trinity-base/kmplot/kmplot-9999.ebuild19
-rw-r--r--trinity-base/kmplot/metadata.xml8
-rw-r--r--trinity-base/kpercentage/kpercentage-9999.ebuild19
-rw-r--r--trinity-base/kpercentage/metadata.xml8
-rw-r--r--trinity-base/kstars/kstars-9999.ebuild38
-rw-r--r--trinity-base/kstars/metadata.xml8
-rw-r--r--trinity-base/ktouch/ktouch-9999.ebuild20
-rw-r--r--trinity-base/ktouch/metadata.xml8
-rw-r--r--trinity-base/kturtle/kturtle-9999.ebuild19
-rw-r--r--trinity-base/kturtle/metadata.xml8
-rw-r--r--trinity-base/kverbos/kverbos-9999.ebuild19
-rw-r--r--trinity-base/kverbos/metadata.xml8
-rw-r--r--trinity-base/kvoctrain/kvoctrain-9999.ebuild19
-rw-r--r--trinity-base/kvoctrain/metadata.xml8
-rw-r--r--trinity-base/kwordquiz/kwordquiz-9999.ebuild19
-rw-r--r--trinity-base/kwordquiz/metadata.xml8
-rw-r--r--trinity-base/libtdeedu/libtdeedu-9999.ebuild13
-rw-r--r--trinity-base/libtdeedu/metadata.xml8
-rw-r--r--trinity-base/tdeedu-doc/metadata.xml8
-rw-r--r--trinity-base/tdeedu-doc/tdeedu-doc-9999.ebuild24
-rw-r--r--trinity-base/tdeedu-meta/metadata.xml8
-rw-r--r--trinity-base/tdeedu-meta/tdeedu-meta-9999.ebuild36
44 files changed, 666 insertions, 0 deletions
diff --git a/trinity-base/blinken/blinken-9999.ebuild b/trinity-base/blinken/blinken-9999.ebuild
new file mode 100644
index 00000000..001c0247
--- /dev/null
+++ b/trinity-base/blinken/blinken-9999.ebuild
@@ -0,0 +1,20 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="libtdeedu translations"
+TRINITY_NEED_ARTS="optional"
+inherit trinity-meta-2
+
+DESCRIPTION="Trinity version of the Simon Says electronic memory game"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}
diff --git a/trinity-base/blinken/metadata.xml b/trinity-base/blinken/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/blinken/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/kalzium/kalzium-9999.ebuild b/trinity-base/kalzium/kalzium-9999.ebuild
new file mode 100644
index 00000000..e0c88ac7
--- /dev/null
+++ b/trinity-base/kalzium/kalzium-9999.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="libtdeedu translations"
+inherit trinity-meta-2
+
+DESCRIPTION="Chemistry teaching tool for Trinity"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+IUSE="ocaml"
+
+DEPEND="~trinity-base/libtdeedu-${PV}
+ ocaml? ( dev-lang/ocaml
+ dev-ml/facile )"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ sed -i -e 's/tdeeduplot-shared/tdeeduplot/' \
+ -e 's/tdeeduui-shared/tdeeduui/' "${S}/kalzium/src/CMakeLists.txt" || die
+ sed 's/nums//' -i "${S}/kalzium/src/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DWITH_OCAML_SOLVER="$(usex ocaml)"
+ )
+
+ trinity-meta-2_src_configure
+}
+
diff --git a/trinity-base/kalzium/metadata.xml b/trinity-base/kalzium/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/kalzium/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/kanagram/kanagram-9999.ebuild b/trinity-base/kanagram/kanagram-9999.ebuild
new file mode 100644
index 00000000..38a991b3
--- /dev/null
+++ b/trinity-base/kanagram/kanagram-9999.ebuild
@@ -0,0 +1,20 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="translations"
+TRINITY_NEED_ARTS="optional"
+inherit trinity-meta-2
+
+DESCRIPTION="Letter order game for Trinity"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}
diff --git a/trinity-base/kanagram/metadata.xml b/trinity-base/kanagram/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/kanagram/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/kbruch/kbruch-9999.ebuild b/trinity-base/kbruch/kbruch-9999.ebuild
new file mode 100644
index 00000000..29432e71
--- /dev/null
+++ b/trinity-base/kbruch/kbruch-9999.ebuild
@@ -0,0 +1,20 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="translations"
+TRINITY_NEED_ARTS="optional"
+inherit trinity-meta-2
+
+DESCRIPTION="Fraction calculation teaching tool for Trinity"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}
diff --git a/trinity-base/kbruch/metadata.xml b/trinity-base/kbruch/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/kbruch/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/keduca/keduca-9999.ebuild b/trinity-base/keduca/keduca-9999.ebuild
new file mode 100644
index 00000000..0dba14b1
--- /dev/null
+++ b/trinity-base/keduca/keduca-9999.ebuild
@@ -0,0 +1,20 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="translations"
+TRINITY_NEED_ARTS="optional"
+inherit trinity-meta-2
+
+DESCRIPTION="Interactive form-based tests for Trinity"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}
diff --git a/trinity-base/keduca/metadata.xml b/trinity-base/keduca/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/keduca/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/kgeography/kgeography-9999.ebuild b/trinity-base/kgeography/kgeography-9999.ebuild
new file mode 100644
index 00000000..8b1aff86
--- /dev/null
+++ b/trinity-base/kgeography/kgeography-9999.ebuild
@@ -0,0 +1,20 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="translations"
+TRINITY_NEED_ARTS="optional"
+inherit trinity-meta-2
+
+DESCRIPTION="Geography learning tool for Trinity"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}
diff --git a/trinity-base/kgeography/metadata.xml b/trinity-base/kgeography/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/kgeography/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/khangman/khangman-9999.ebuild b/trinity-base/khangman/khangman-9999.ebuild
new file mode 100644
index 00000000..764d205c
--- /dev/null
+++ b/trinity-base/khangman/khangman-9999.ebuild
@@ -0,0 +1,24 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="libtdeedu translations"
+TRINITY_NEED_ARTS="optional"
+inherit trinity-meta-2
+
+DESCRIPTION="The classical hangman game for Trinity"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DEPEND="~trinity-base/libtdeedu-${PV}"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ sed -i 's/tdeeducore-shared/tdeeducore/' "${S}/${PN}/${PN}/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}
diff --git a/trinity-base/khangman/metadata.xml b/trinity-base/khangman/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/khangman/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/kig/kig-9999.ebuild b/trinity-base/kig/kig-9999.ebuild
new file mode 100644
index 00000000..027f4031
--- /dev/null
+++ b/trinity-base/kig/kig-9999.ebuild
@@ -0,0 +1,22 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="translations"
+inherit trinity-meta-2
+
+DESCRIPTION="Interactive geometry program for TDE"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DEPEND="dev-libs/boost[python]"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}
diff --git a/trinity-base/kig/metadata.xml b/trinity-base/kig/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/kig/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/kiten/kiten-9999.ebuild b/trinity-base/kiten/kiten-9999.ebuild
new file mode 100644
index 00000000..880861d6
--- /dev/null
+++ b/trinity-base/kiten/kiten-9999.ebuild
@@ -0,0 +1,19 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="translations"
+inherit trinity-meta-2
+
+DESCRIPTION="Japanese reference/study tool for Trinity"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}
diff --git a/trinity-base/kiten/metadata.xml b/trinity-base/kiten/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/kiten/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/klatin/klatin-9999.ebuild b/trinity-base/klatin/klatin-9999.ebuild
new file mode 100644
index 00000000..98210891
--- /dev/null
+++ b/trinity-base/klatin/klatin-9999.ebuild
@@ -0,0 +1,23 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="libtdeedu translations"
+inherit trinity-meta-2
+
+DESCRIPTION="Application to help revise/teach Latin"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DEPEND="~trinity-base/libtdeedu-${PV}"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ sed -i 's/tdeeducore-shared/tdeeducore/' "${S}/${PN}/${PN}/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}
diff --git a/trinity-base/klatin/metadata.xml b/trinity-base/klatin/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/klatin/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/klettres/klettres-9999.ebuild b/trinity-base/klettres/klettres-9999.ebuild
new file mode 100644
index 00000000..8fca257f
--- /dev/null
+++ b/trinity-base/klettres/klettres-9999.ebuild
@@ -0,0 +1,19 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="translations"
+inherit trinity-meta-2
+
+DESCRIPTION="Foreign alphabet tutor for Trinity"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}
diff --git a/trinity-base/klettres/metadata.xml b/trinity-base/klettres/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/klettres/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/kmplot/kmplot-9999.ebuild b/trinity-base/kmplot/kmplot-9999.ebuild
new file mode 100644
index 00000000..355d76f2
--- /dev/null
+++ b/trinity-base/kmplot/kmplot-9999.ebuild
@@ -0,0 +1,19 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="translations"
+inherit trinity-meta-2
+
+DESCRIPTION="Mathematical function plotter for Trinity"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}
diff --git a/trinity-base/kmplot/metadata.xml b/trinity-base/kmplot/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/kmplot/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/kpercentage/kpercentage-9999.ebuild b/trinity-base/kpercentage/kpercentage-9999.ebuild
new file mode 100644
index 00000000..42400918
--- /dev/null
+++ b/trinity-base/kpercentage/kpercentage-9999.ebuild
@@ -0,0 +1,19 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="translations"
+inherit trinity-meta-2
+
+DESCRIPTION="Percentage calculation teaching tool for Trinit"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}
diff --git a/trinity-base/kpercentage/metadata.xml b/trinity-base/kpercentage/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/kpercentage/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/kstars/kstars-9999.ebuild b/trinity-base/kstars/kstars-9999.ebuild
new file mode 100644
index 00000000..3a69c859
--- /dev/null
+++ b/trinity-base/kstars/kstars-9999.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="libtdeedu translations"
+inherit trinity-meta-2
+
+DESCRIPTION="Desktop planetarium for Trinity"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+IUSE="usb v4l"
+
+DEPEND="~trinity-base/libtdeedu-${PV}
+ usb? ( virtual/libusb:1 )
+ v4l? ( media-libs/libv4l )
+ "
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ sed -i -e 's/tdeeduplot-shared/tdeeduplot/g' \
+ -e 's/tdeeduui-shared/tdeeduui/g' -e 's/extdate-shared/extdate/g' \
+ "${S}/${PN}/${PN}/CMakeLists.txt" || die
+ sed -i 's/tdeeduplot-shared/tdeeduplot/' "${S}/${PN}/${PN}/tools/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DWITH_LIBUSB=$(usex usb ON OFF )
+ -DWITH_V4L=$(usex v4l ON OFF )
+ )
+ trinity-meta-2_src_configure
+}
diff --git a/trinity-base/kstars/metadata.xml b/trinity-base/kstars/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/kstars/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/ktouch/ktouch-9999.ebuild b/trinity-base/ktouch/ktouch-9999.ebuild
new file mode 100644
index 00000000..e90e63da
--- /dev/null
+++ b/trinity-base/ktouch/ktouch-9999.ebuild
@@ -0,0 +1,20 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="libtdeedu translations"
+inherit trinity-meta-2
+
+DESCRIPTION="Touch typing tutor for Trinity"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ sed -i 's/tdeeduplot-shared/tdeeduplot/' "${S}/${PN}/src/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}
diff --git a/trinity-base/ktouch/metadata.xml b/trinity-base/ktouch/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/ktouch/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/kturtle/kturtle-9999.ebuild b/trinity-base/kturtle/kturtle-9999.ebuild
new file mode 100644
index 00000000..815e71d4
--- /dev/null
+++ b/trinity-base/kturtle/kturtle-9999.ebuild
@@ -0,0 +1,19 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="translations"
+inherit trinity-meta-2
+
+DESCRIPTION="Educational Logo programming environment"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}
diff --git a/trinity-base/kturtle/metadata.xml b/trinity-base/kturtle/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/kturtle/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/kverbos/kverbos-9999.ebuild b/trinity-base/kverbos/kverbos-9999.ebuild
new file mode 100644
index 00000000..2659523a
--- /dev/null
+++ b/trinity-base/kverbos/kverbos-9999.ebuild
@@ -0,0 +1,19 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="translations"
+inherit trinity-meta-2
+
+DESCRIPTION="Spanish verb form study application for Trinity"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}
diff --git a/trinity-base/kverbos/metadata.xml b/trinity-base/kverbos/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/kverbos/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/kvoctrain/kvoctrain-9999.ebuild b/trinity-base/kvoctrain/kvoctrain-9999.ebuild
new file mode 100644
index 00000000..a9295ae3
--- /dev/null
+++ b/trinity-base/kvoctrain/kvoctrain-9999.ebuild
@@ -0,0 +1,19 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="translations"
+inherit trinity-meta-2
+
+DESCRIPTION="Vocabulary trainer for Trinity"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}
diff --git a/trinity-base/kvoctrain/metadata.xml b/trinity-base/kvoctrain/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/kvoctrain/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/kwordquiz/kwordquiz-9999.ebuild b/trinity-base/kwordquiz/kwordquiz-9999.ebuild
new file mode 100644
index 00000000..a62e2283
--- /dev/null
+++ b/trinity-base/kwordquiz/kwordquiz-9999.ebuild
@@ -0,0 +1,19 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="translations"
+inherit trinity-meta-2
+
+DESCRIPTION="Flashcard and vocabulary learning program for Trinity"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}
diff --git a/trinity-base/kwordquiz/metadata.xml b/trinity-base/kwordquiz/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/kwordquiz/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/libtdeedu/libtdeedu-9999.ebuild b/trinity-base/libtdeedu/libtdeedu-9999.ebuild
new file mode 100644
index 00000000..309d36c2
--- /dev/null
+++ b/trinity-base/libtdeedu/libtdeedu-9999.ebuild
@@ -0,0 +1,13 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="applnk translations"
+inherit trinity-meta-2
+
+DESCRIPTION="Library for use with Trinity educational apps"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
diff --git a/trinity-base/libtdeedu/metadata.xml b/trinity-base/libtdeedu/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/libtdeedu/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/tdeedu-doc/metadata.xml b/trinity-base/tdeedu-doc/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/tdeedu-doc/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/tdeedu-doc/tdeedu-doc-9999.ebuild b/trinity-base/tdeedu-doc/tdeedu-doc-9999.ebuild
new file mode 100644
index 00000000..26e1063d
--- /dev/null
+++ b/trinity-base/tdeedu-doc/tdeedu-doc-9999.ebuild
@@ -0,0 +1,24 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+inherit trinity-meta-2
+
+DESCRIPTION="Documentaion for tdeedu-derived packages"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+RDEPEND="
+ ~trinity-base/khelpcenter-${PV}"
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ echo 'tde_auto_add_subdirectories( )' >"${S}/doc/CMakeLists.txt" || die
+ sed '/add_subdirectory/d' -i doc/kig/CMakeLists.txt || die
+
+ trinity-meta-2_src_prepare
+}
diff --git a/trinity-base/tdeedu-meta/metadata.xml b/trinity-base/tdeedu-meta/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-base/tdeedu-meta/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-base/tdeedu-meta/tdeedu-meta-9999.ebuild b/trinity-base/tdeedu-meta/tdeedu-meta-9999.ebuild
new file mode 100644
index 00000000..2c003637
--- /dev/null
+++ b/trinity-base/tdeedu-meta/tdeedu-meta-9999.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+DESCRIPTION="Metapackage Trinity Software Educations"
+HOMEPAGE="https://trinitydesktop.org/"
+
+LICENSE="metapackage"
+SLOT="14"
+
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+RDEPEND="~trinity-base/blinken-${PV}
+ ~trinity-base/kalzium-${PV}
+ ~trinity-base/kanagram-${PV}
+ ~trinity-base/kbruch-${PV}
+ ~trinity-base/keduca-${PV}
+ ~trinity-base/kgeography-${PV}
+ ~trinity-base/khangman-${PV}
+ ~trinity-base/kig-${PV}
+ ~trinity-base/kiten-${PV}
+ ~trinity-base/klatin-${PV}
+ ~trinity-base/klettres-${PV}
+ ~trinity-base/kmplot-${PV}
+ ~trinity-base/kpercentage-${PV}
+ ~trinity-base/kstars-${PV}
+ ~trinity-base/ktouch-${PV}
+ ~trinity-base/kturtle-${PV}
+ ~trinity-base/kverbos-${PV}
+ ~trinity-base/kvoctrain-${PV}
+ ~trinity-base/kwordquiz-${PV}
+ ~trinity-base/tdeedu-doc-${PV}
+"